Get the SLO definitions

Base URL
https://{kibana_url}
  • GET /api/observability/slos/_definitions
  • GET /s/{space_id}/api/observability/slos/_definitions
Auth

You must have the read privileges for the SLOs feature in the Observability section of the Kibana feature privileges.

Required privileges

Privileges slo_read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

Filters the SLOs by name

includeOutdatedOnly union enum | boolean

Indicates if the API returns only outdated SLO or all SLO definitions

Values: true false
includeHealth union enum | boolean

Indicates if the API returns SLO health data with definitions

Values: true false
tags string

Filters the SLOs by tag

page string

The page to use for pagination, must be greater or equal than 1

perPage string

Number of SLOs returned by page

Request body

Any of:

Responses

Successful request

application/json
page number
perPage number
results object[]
artifacts object

Links to related assets for the SLO

dashboards object[]

Array of dashboard references

id string required

Dashboard saved-object id

budgetingMethod enum required

The budgeting method to use when computing the rollup data.

Values: occurrences timeslices
createdAt string required

The creation date

description string required

The description of the SLO.

enabled boolean required

Indicate if the SLO is enabled

groupBy union string | string[] required

optional group by field or fields to use to generate an SLO per distinct value

id string required

The identifier of the SLO.

indicator object required

The SLI indicator. Its params depend on type; see the indicator property of the create SLO request body.

params object required
type string required

The type of indicator.

name string required

The name of the SLO.

objective object required

Defines properties for the SLO objective

target number · > 0 · < 1 required

the target objective between 0 and 1 excluded

timesliceTarget number · min: 0 · max: 1

the target objective for each slice when using a timeslices budgeting method

timesliceWindow string

the duration of each slice when using a timeslices budgeting method, as {duraton}{unit}

revision number required

The SLO revision

settings object required

Defines properties for SLO settings.

frequency string · default: 1m

The interval between checks for changes in the source data. The minimum value is 1m and the maximum is 59m. The default value is 1 minute.

preventCrossProjectSearch boolean · default: false deprecated

Pin the L1 rollup transform to the local/origin project only, preventing flat-world (cross-linked-project) reads. Only applies on serverless. Default is false, meaning rollup transforms target all linked projects.

preventInitialBackfill boolean · default: false

Start aggregating data from the time the SLO is created, instead of backfilling data from the beginning of the time window.

projectRoutings string · max length: 8192 nullable

ES ProjectRouting expression controlling which linked projects the L1 rollup reads. When set (including null), overrides preventCrossProjectSearch. null and _alias:_origin mean origin only; _alias:* means all linked projects. Subset example _id:p1 AND _id:p2.

syncDelay string · default: 1m

The time delay in minutes between the current time and the latest source data time. Increasing the value will delay any alerting. The default value is 1 minute. The minimum value is 1m and the maximum is 359m. It should always be greater then source index refresh interval.

syncField string

The date field that is used to identify new documents in the source. It is strongly recommended to use a field that contains the ingest timestamp. If you use a different field, you might need to set the delay such that it accounts for data transmission delays. When unspecified, we use the indicator timestamp field.

tags string[] required

List of tags

timeWindow object required

Defines properties for the SLO time window

duration string required

the duration formatted as {duration}{unit}. Accepted values for rolling: 7d, 30d, 90d. Accepted values for calendar aligned: 1w (weekly) or 1M (monthly)

type enum required

Indicates whether the time window is a rolling or a calendar aligned time window.

Values: rolling calendarAligned
updatedAt string required

The last update date

version number required

The internal SLO version

total number

Bad request

application/json
error string required
message string required
statusCode number required

Unauthorized response

application/json
error string required
message string required
statusCode number required

Forbidden response

application/json
error string required
message string required
statusCode number required
Base URL
https://{kibana_url}